# Generated by Django 2.1.1 on 2018-10-02 17:03

from django.db import migrations, models
import django_countries.fields


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Flight',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(default='test', max_length=120)),
                ('departure', models.DateTimeField()),
                ('arrival', models.DateTimeField()),
                ('seats', models.PositiveIntegerField()),
                ('price', models.DecimalField(decimal_places=2, max_digits=1000)),
            ],
        ),
        migrations.CreateModel(
            name='Tourist',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('firstname', models.CharField(max_length=120)),
                ('lastname', models.CharField(max_length=120)),
                ('sex', models.CharField(choices=[('F', 'Female'), ('M', 'Male'), ('U', 'Unsure')], max_length=1)),
                ('country', django_countries.fields.CountryField(max_length=2)),
                ('notes', models.TextField(blank=True, null=True)),
                ('date_of_birth', models.DateTimeField()),
                ('flights', models.ManyToManyField(blank=True, null=True, to='faust.Flight')),
            ],
        ),
        migrations.AddField(
            model_name='flight',
            name='tourists',
            field=models.ManyToManyField(blank=True, null=True, to='faust.Tourist'),
        ),
    ]
